#!/bin/sh

. $HOME/etc/setenv.sh

if [ "$MYSQL_ON" = "true" ] ; then
	$MYSQL_HOME/bin/mysqlshow $DBNAME >/dev/null 2>/dev/null

	if [ $? -ne 0 ] ; then
		echo "-- create database ---"
		$MYSQL_HOME/bin/mysqladmin create $DBNAME

		err=0
		if [ -n "$MSQL_HOME" ] ; then
			$MSQL_HOME/bin/relshow $DBNAME >/dev/null 2>/dev/null
			err=$?
		else
			err=1
		fi

		if [ $err -eq 0 ] ; then
			echo "-- dump MSQL database ---"
			$MSQL_HOME/bin/msqldump -c $DBNAME Dcindex | grep "^INSERT" | sed -e 's/COLUMNS/ICOLUMNS/' -e 's/ROWS/IROWS/' > $TMP/Dcindex.$$.dump
			$MSQL_HOME/bin/msqldump $DBNAME Access | grep "^INSERT" > $TMP/Access.$$.dump
			$MSQL_HOME/bin/msqldump $DBNAME Target | grep "^INSERT" > $TMP/Target.$$.dump

			echo "-- create tables ---"
			$CASES_HOME/dcsetup.sh
			cat $CASES_HOME/sql/Target.ysql | $MYSQL_HOME/bin/mysql $DBNAME
			cat $IMADMIN_HOME/Access.ysql | $MYSQL_HOME/bin/mysql $DBNAME

			echo "-- dump database into MySQL ---"
			$MYSQL_HOME/bin/mysql $DBNAME < $TMP/Dcindex.$$.dump
			$MYSQL_HOME/bin/mysql $DBNAME < $TMP/Target.$$.dump
			$MYSQL_HOME/bin/mysql $DBNAME < $TMP/Access.$$.dump
		else
			cat $CASES_HOME/sql/Target.ysql | $MYSQL_HOME/bin/mysql $DBNAME
		fi
	else
		echo "database already exists"
	fi
else
	echo "MySQL is not active component"
fi
